<template>
  <div>
    <!-- Navegador -->
    <!-- Cuerpo -->
    <div class="padding-top">
      <el-header height="80px" style="margin: 0 12rem;">
        <ReturnButton :isValidate="true" v-on:clickEvent="returnButtonModal = true" :title="`Ir a ${material.materialType}`" :offsetArrow="19" :spanTitle="4" class="text-end"></ReturnButton>
       
        <!-- Modal botón regresar -->
        <AppModalReturn :show-dialog.sync="returnButtonModal" v-if="returnButtonModal" v-on:btnEvent="returnButtonModal = false" @btnEvent="viewList" v-on:eventBtn="returnButtonModal = false">
        </AppModalReturn>

      </el-header>
      <el-main>
        <el-steps :active="active" style="margin: 1rem 8rem 6rem" align-center>
          <el-step title="DATOS GENERALES" style="font-size: 1rem"></el-step>
          <el-step title="ESTADO"></el-step>
        </el-steps>
        <!-- Paso 1: Datos -->
        <div v-if="this.active === 0" style="margin: 6rem 12rem">
          <!-- Revisado por -->
          <el-row style="margin: 4rem 0">
            <el-col :span="12" class="bg-gray title-top">Revisado por: <strong>{{this.userLogin}}</strong></el-col>
          </el-row>
          <h3 class="text-orange" style="margin: 3rem 0">TÍTULOS DEL MATERIAL</h3>
          <el-row style="margin: 0 0 1rem" type="flex" align="middle">
            <el-col :span="6" :offset="1"><p class="fonts-bold-general">Título Original:</p></el-col>
            <el-col :span="16">
              <el-input v-model="material.originalTitle" size="small" @keyup.enter.native= "addTitles"></el-input>
            </el-col>
          </el-row>
          <el-row style="margin: 0 0 1rem" type="flex" align="middle">
            <el-col :span="6" :offset="1"><p class="fonts-bold-general">Título Español y/o Sugerido:</p></el-col>
            <el-col :span="16">
              <el-input v-model="material.ownTitle" size="small"></el-input>
            </el-col>
          </el-row>
          <el-row style="margin: 0 0 3rem" type="flex" align="middle">
            <el-col :span="6" :offset="1"><p class="fonts-bold-general">Título Comercial:</p></el-col>
            <el-col :span="16">
              <el-input v-model="material.listTitle" size="small"></el-input>
            </el-col>
          </el-row>
          <hr class= "line-report">

          <h3 class="text-orange" style="margin: 3rem 0">PROVEEDOR Y PRODUCCIÓN</h3>
          <el-row style="margin: 0px 0px 1rem;" type="flex" align="middle">
            <el-col :span="3" :offset="1" class="fonts-bold-general">Proveedor</el-col>
            <el-col :span="6"><el-input v-model="material.providerName" size="small"></el-input></el-col>
          </el-row>
          <el-row style="margin: 0 0 1rem">
            <el-col :span="3" :offset="1" class="fonts-bold-general" style="margin-top: 5px;">Productora</el-col>
            <el-col :span="8" v-if="material.reviewStatus !== 'withoutChecking'">
              <div v-for="(item, index) in prodCompanyEdit" :key="index">
                <el-col :span="18"><el-input v-model="item.prodCompany" style="margin-bottom:0.5rem" size="small"></el-input></el-col>
                <el-col :span="3" class="text-end">
                  <i @click="addEl('prodCompanyEdit', index)" class="el-icon-circle-plus text-orange" style="font-size:25px"></i>
                </el-col>
                <el-col :span="2" v-if="prodCompanyEdit.length > 1" class="text-end">
                  <i @click="removeElement(index, 'prodCompanyEdit')" class="el-icon-remove text-gray" style="font-size:25px"></i>
                </el-col>
              </div>
            </el-col>
            <el-col :span="8" v-else>
              <div v-for="(item, index) in arrProdCompany" :key="index">
                <el-col :span="18"><el-input v-model="item.prodCompany" style="margin-bottom:0.5rem" size="small"></el-input></el-col>
                <el-col :span="3" class="text-end">
                  <i @click="addEl('arrProdCompany', index)" class="el-icon-circle-plus text-orange" style="font-size:25px"></i>
                </el-col>
                <el-col :span="2" v-if="arrProdCompany.length > 1" class="text-end">
                  <i @click="removeElement(index, 'arrProdCompany')" class="el-icon-remove text-gray" style="font-size:25px"></i>
                </el-col>
              </div>
            </el-col>
          </el-row>
          <el-row style="margin: 0 0 3rem" type="flex" align="middle">
            <el-col :span="5" :offset="1" class="fonts-bold-general">Año de Producción</el-col>
            <el-col v-if="material.reviewStatus !== 'withoutChecking'" :span="4"><el-input v-model="material.reviewObj.yearProduction" size="small"></el-input></el-col>
            <el-col v-else :span="4"><el-input v-model="yearProduction" size="small"></el-input></el-col>
          </el-row>

					<hr class= "line-report">
          

          <h3 class="text-orange" style="margin: 3rem 0">DURACIÓN Y BLOQUES</h3>
					<!-- Bloques -->
					<el-row style="margin: 0 0 1rem" type="flex" align="middle">
            <el-col :span="4" :offset="1"><p class="fonts-bold-general">N° de bloques:</p></el-col>
            <el-col :span="2">
              <el-input v-if="material.reviewStatus !== 'withoutChecking'" v-model="material.reviewObj.blocks" size="small"></el-input>
              <el-input v-else v-model="blocks" size="small"></el-input>
            </el-col>
          </el-row>
					<!-- Duracion-->
          <el-row style="margin: 0px 0px 3rem;" v-if="material.reviewStatus !== 'withoutChecking'">
            <el-col :span="4" :offset="1" class="fonts-bold-general" style="padding-top: 5px;">Duración</el-col>
            <el-col :span="2">
              <el-input type="text" size="small" @keyup.enter.native="nextInput('secondInput')" v-model="timeDuration[0]" class="input-time firstInput" v-on:keypress.native="isNumber" v-on:keyup.right.native="nextInput('secondInput')" maxlength="2"></el-input>
              <span style="font-size: 15px;">h</span>
            </el-col>
            <el-col :span="2">
              <el-input type="text" size="small" @keyup.enter.native="nextInput('thirdInput')" v-model="timeDuration[1]" class="input-time secondInput" v-on:keypress.native="isNumber" v-on:keyup.left.native="nextInput('firstInput')" v-on:keyup.right.native="nextInput('thirdInput')" maxlength="2"></el-input>
              <span style="font-size: 15px;">min</span>
            </el-col> 
            <el-col :span="2">
              <el-input type="text" size="small" v-model="timeDuration[2]" class="input-time thirdInput" v-on:keypress.native="isNumber" v-on:keyup.left.native="nextInput('secondInput')"  maxlength="2"></el-input>
              <span style="font-size: 15px;">s</span>
            </el-col> 
          </el-row>
          <el-row style="margin: 0px 0px 3rem;" v-else>
            <el-col :span="4" :offset="1" class="fonts-bold-general" style="padding-top: 5px;">Duración</el-col>
            <el-col :span="2">
              <el-input type="text" size="small" v-model="hour" @keyup.enter.native="nextInput('secondInput')" class="input-time firstInput" v-on:keypress.native="isNumber" v-on:keyup.right.native="nextInput('secondInput')" maxlength="2"></el-input>
              <span style="font-size: 15px;">h</span>
            </el-col> 
            <el-col :span="2">
              <el-input type="text" size="small" v-model="min" @keyup.enter.native="nextInput('thirdInput')" class="input-time secondInput" v-on:keypress.native="isNumber" v-on:keyup.left.native="nextInput('firstInput')" v-on:keyup.right.native="nextInput('thirdInput')" maxlength="2"></el-input>
              <span style="font-size: 15px;">min</span>
            </el-col> 
            <el-col :span="2">
              <el-input type="text" size="small" v-model="sec" class="input-time thirdInput" v-on:keypress.native="isNumber" v-on:keyup.left.native="nextInput('secondInput')"  maxlength="2"></el-input>
              <span style="font-size: 15px;">s</span>
            </el-col> 
          </el-row>
					<hr class= "line-report">

					<h3 class="text-orange" style="margin: 3rem 0">ETIQUETAS</h3>
          <el-row style="margin: 0px 0px 3rem;" type="flex" align="middle">
            <el-col :span="4" :offset="1" class="fonts-bold-general">Etiquetas</el-col>
						<el-col :span="20">
							<div v-if="material.reviewStatus !== 'withoutChecking'" >
								<el-tag 
									:key="tag" v-for="tag in dynamicT"
									type="info" closable :disable-transitions="false" @close="handleClose(tag, dynamicT)">
									{{tag}}
								</el-tag>
								<el-input
									class="input-new-tag" v-if="inputVisible" @keyup.enter.native="handleInputConfirm(dynamicT)"
									v-model="inputValue" ref="saveTagInput" size="mini" @blur="handleInputConfirm(dynamicT)">
								</el-input>
								<el-button v-else class="button-new-tag" :disabled="newTag" size="small" @click="showInput"><span class="plus">+</span> Nueva Etiqueta</el-button>
							</div>
							<div v-else >
								<el-tag
									:key="tag" v-for="tag in dynamicTags" type="info"
									closable :disable-transitions="false" @close="handleClose(tag, dynamicTags)">
									{{tag}}
								</el-tag>
								<el-input
									class="input-new-tag" v-if="inputVisible" @keyup.enter.native="handleInputConfirm(dynamicTags, 'hola')"
									v-model="inputValue" ref="saveTagInput" size="mini" @blur="handleInputConfirm(dynamicTags, 'hola')">
								</el-input>
								<el-button v-else class="button-new-tag" :disabled="newTag" size="small" @click="showInput"><span class="plus">+</span> Nueva Etiqueta</el-button>
							</div>
						</el-col>
          </el-row>
					<hr class= "line-report">

					<h3 class="text-orange" style="margin: 3rem 0">DATOS DE SOPORTE</h3>
					<el-row style="margin: 0 0 1rem" type="flex" align="middle">
            <el-col :span="5" :offset="1" class="fonts-bold-general">Fecha de Llegada</el-col>
            <el-col :span="4">
              <el-date-picker v-model="Object(material.supportObj).arrivalDate" value-format="timestamp" type="date" 
                format="dd/MM/yyyy" size="small" style="width: 100%" disabled>
              </el-date-picker>
            </el-col>
          </el-row>
					<el-row style="margin: 0 0 1rem" type="flex" align="middle">
            <el-col :span="5" :offset="1" class="fonts-bold-general">Modo de Envío</el-col>
            <el-col :span="4"><el-input v-model="Object(material.supportObj).shippingMode" :disabled="true" size="small"></el-input></el-col>
          </el-row>
					<el-row style="margin: 0px 0px 3rem;" type="flex" align="middle">
            <el-col :span="5" :offset="1" class="fonts-bold-general">Soporte</el-col>
            <el-col :span="4"><el-input v-model="Object(material.supportObj).supportOption" :disabled="true" size="small"></el-input></el-col>
          </el-row>
					<hr class= "line-report">

          <h3 class="text-orange" style="margin: 3rem 0">ESTADO DE EMISIÓN</h3>
          <div style="margin: 0 0 3rem 2.4rem;">
            <el-radio v-if="material.reviewStatus !== 'withoutChecking'" v-model="material.reviewObj.emissionStatus" label="Estreno">Estreno</el-radio>
            <el-radio v-else v-model="emissionStatus" label="Estreno">Estreno</el-radio>
            <el-radio v-if="material.reviewStatus !== 'withoutChecking'" v-model="material.reviewObj.emissionStatus" label="Repetición">Repetición</el-radio>
            <el-radio v-else v-model="emissionStatus" label="Repetición">Repetición</el-radio>
          </div>
          <hr class= "line-report">
					
          <h3 class="text-orange" style="margin: 3rem 0">OBSERVACIONES ADICIONALES</h3>
          <div style="margin: 0 0 3rem 2.4rem">
            <el-input v-if="material.reviewStatus !== 'withoutChecking'"
              type="textarea"
              :autosize="{ minRows: 4, maxRows:4}"
              v-model="material.reviewObj.observations">
            </el-input>
            <el-input v-else
              type="textarea"
              :autosize="{ minRows: 4, maxRows: 4}"
              v-model="observations">
            </el-input>
          </div>
          
        </div>
        <!-- Paso 2: Estado -->
        <div v-if="this.active === 1" style="margin: 6rem 12rem">
          <!-- <div class="text-center" style="margin: 0 0 4rem">
            <p class="text-green subtitle-styles" style="margin: 0 0 1rem">¡Está todo listo y OK!</p>
            <el-button type="success" id="approved" v-bind:class="this.approvedStatus" @click="pressedButton('approved')" plain>APROBADO</el-button> 
          </div>
          <div class="text-center" style="margin: 0 0 4rem">
            <p class="text-orange subtitle-styles" style="margin: 0 0 1rem">Faltan ingresar datos, pero está OK</p>
            <el-button type="primary" id="incomplete" v-bind:class="this.incompleteStatus" @click="pressedButton('incomplete')" plain>INCOMPLETO</el-button>
          </div> -->
          <div class="text-center" style="margin: 0 0 4rem">
            <el-button style="min-width: 255PX;" type="info" id="incompleteStyle" v-bind:class="this.incompleteStatus" @click="pressedButton('incompleteStyle')" plain >REVISIÓN INCOMPLETA</el-button> 
          </div>
          <div class="text-center" style="margin: 0 0 4rem">
            <!-- <p class="text-green subtitle-styles" style="margin: 0 0 1rem">¡Está todo listo y OK!</p> -->
            <el-button style="min-width: 255PX;" type="danger" id="approved2" v-bind:class="this.approvedStatus" @click="pressedButton('approved2')" plain >APROBADO, PERO NO EMITIDO</el-button> 
          </div>
          <div class="text-center" style="margin: 0 0 4rem">
            <!-- <p class="text-orange subtitle-styles" style="margin: 0 0 1rem">Faltan ingresar datos, pero está OK</p> -->
            <el-button style="min-width: 255PX;" type="primary" id="live" v-bind:class="this.liveStatus" @click="pressedButton('live')" plain>APROBADO Y AL AIRE</el-button>
          </div>
          <div class="text-center" style="margin: 0 0 4rem">
            <el-button style="min-width: 255PX;" type="success" id="transmitted" v-bind:class="this.transmittedStatus" @click="pressedButton('transmitted')" plain>EMITIDO</el-button>
          </div>
        </div>
        <!-- Botón siguiente -->
        <div class="text-end" style="margin: 0 12rem">
          <el-button v-if="this.active > 0" @click="back" class="text-orange border-orange" plain>
            <i class="el-icon-arrow-left text-orange" style="fontWeight: bold"></i>
            ANTERIOR
          </el-button>
          <el-button v-if="this.active === 1" v-show="material.reviewStatus == 'withoutChecking'" @click="submitNewReview" v-on:click="submitNewReviewModal = true" type="primary" style="padding-left:3rem; padding-right:3rem">
            REGISTRAR
          </el-button>
          <el-button v-if="this.active === 1" v-show="material.reviewStatus == 'approved2' || material.reviewStatus == 'transmitted' || material.reviewStatus == 'live' || material.reviewStatus == 'incompleteStyle'" @click="updateReview" type="primary" style="padding-left:3rem; padding-right:3rem">
            ACTUALIZAR
          </el-button>
          <el-button v-else @click="next" type="primary">
            SIGUIENTE
            <i class="el-icon-arrow-right" style="color: white; fontWeight: bold"></i>
          </el-button>

          <!-- Modal -->
          <el-dialog
            :visible.sync="submitNewReviewModal"
            width="40%"
            center
            :close-on-press-escape="false"
            :show-close="false"
            custom-class="dialog-orange">
            <el-row>
              <el-col :span="6" class="text-center"><img src="../../assets/images/happy.svg" alt="emoticon"></el-col>
              <el-col :span="18">
                <p class="fonts-bold-general" style="margin-bottom: 0.5rem">¡Buen trabajo!</p>
                <p style="line-height: 22px;">La revisión de <strong>{{material.ownTitle}}</strong> ha sido guardado.</p>
                <div style="margin-top: 4rem; display: flex; justify-content: flex-end; margin-right: 30px;">            
                  <el-button @click="submitNewReviewModal = false" v-on:click="viewList" class="bg-orange text-white border-none">ACEPTAR</el-button>
                </div>
              </el-col>
            </el-row>
          </el-dialog>
        </div>
        <!-- Modal Advertencia de Edición -->
          <app-modal :show-dialog.sync="showModalEdition" v-if="showModalEdition" nameClass="dialog-red" :rutImg="require(`../../assets/images/alerta.svg`)" sizeImg="65px" textBold="¡Un momento!"
            :parrafo="parrafoModal" btn1="" btn2="" >
          </app-modal>
      </el-main>
    </div>
  </div>
</template>

<script>

import ReturnButton from '@/components/ReturnButton.vue'
import AppModalReturn from '@/components/AppModalReturn.vue'
import {HTTP} from '../../main.js'
import AppModal from '@/components/AppModal.vue'

export default {
	components: {
		ReturnButton,
    AppModalReturn,
    'app-modal': AppModal,
  },
  data () {
		return {
			blocks: '',
			duration: '',
			hour: '',
			min: '',
			sec: '',
			observations: '',
      timeDuration: [],
      arrProdCompany: [{prodCompany: ''}],
      yearProduction: '',
      emissionStatus: '',
			// ---
      material: {},
      returnButtonModal: false,
      submitNewReviewModal: false,
      active: 0,
      originalTitle: '',
      contractPosition:'',
      spanishTitle: '',
      commercialTitle: '',
      indexEdit: '',
      isVisible: true,
      approvedStatus:'',
      incompleteStatus: '',
      replacementStatus:'', 
      buttonStatus: '', // Ok
      dynamicTags: [], //Etiqueta
      inputVisible: false, //Etiqueta
      inputValue: '', //Etiqueta
      userLogin: localStorage.getItem('userName'),
      newTag: false,
      hourWithCredits: '',
      minWithCredits: '',
      secWithCredits: '',
      newTag: false,
      hourWithoutCredits: '',
      minWithoutCredits: '',
      secWithoutCredits: '',
      parrafoModal: 'Por favor indica si el material necesita edición.',
      showModalEdition: false,
      companyProduction: [],
      prodCompanyEdit: [{prodCompany: ""}],
      supportInfo: [],
      getActors: [],
      getSecondActors: [],
      getDirectors: [],
      getProducers: [],
      timeWithCred: '',
      timeWithoutCred: '',
      getObsContent: [],
      getObsColor: [],
      getObsAudio: [],
      getRepoAudio: '',
      getRepoColor: '',
      getObsVideo: [],
      getRepoVideo: '',
      dynamicT: [],
      materialsInContract: [],
      approvedStatus:'',
      liveStatus: '',
      transmittedStatus:'',
      incompleteStatus: '',
      userReview: [],
    }
  },
  created () {
    this.getTables()
    this.materialObj()
    if (this.material.reviewObj) {
      this.userReview = JSON.parse(this.$localStorage.get("selectedMaterial")).reviewObj.userLogin ? JSON.parse(this.$localStorage.get("selectedMaterial")).reviewObj.userLogin : []
      this.dynamicT = this.material.reviewObj.dynamicTags ? this.material.reviewObj.dynamicTags : []
      // Duration
      this.timeDuration = this.material.reviewObj.duration ? this.material.reviewObj.duration.split(":") : '00:00:00'.split(":")
      if(this.material.reviewObj.arrProdCompany.length > 0){
        this.prodCompanyEdit = this.material.reviewObj.arrProdCompany
      }
    } else {
      this.prodCompanyEdit = [{prodCompany: ""}]
      this.userReview = []
    }
  },
  methods: {
    getTables () {
      let dataType = 'tables';
      this.$store.dispatch("getData", dataType);
    },
    materialObj () {
      this.material = JSON.parse(this.$localStorage.get("selectedMaterial"))
    },
    submitNewReview () {
      this.duration = this.hour + ':' + this.min + ':' + this.sec
      let historyUsers = this.userReview.filter( m => {
        return m.user == this.userLogin
      });

      if (historyUsers.length == 0) {
        let user = {
          user: this.userLogin,
          date: new Date().toLocaleDateString('en-GB') 
        }
        this.userReview.push(user)
      }

      let newReview = {
        userLogin: this.userReview,
				blocks: this.blocks,
				duration: this.duration,
        observations: this.observations,
        dynamicTags: this.dynamicTags,
        arrProdCompany: this.arrProdCompany,
        yearProduction: this.yearProduction,
        emissionStatus: this.emissionStatus,
      }
      HTTP.patch(`materials/update/${this.material.__id}`, [  
        {propName: "originalTitle", value: this.material.originalTitle},
        {propName: "ownTitle", value: this.material.ownTitle},
        {propName: "listTitle", value: this.material.listTitle},
        {propName: "reviewObj", value: newReview},
        {propName: "reviewStatus", value: this.buttonStatus},
        {propName: "providerName", value: this.material.providerName},
        {propName: "userName", value: this.username},
        {propName: "geminisCode", value: this.material.geminisCode}
      ])
        .then(res => {
          this.submitNewReviewModal = true
        })
        .catch(err => console.log(err));
    },
    updateReview(){
      this.duration =  this.timeDuration[0] + ':' + this.timeDuration[1] + ':' + this.timeDuration[2] 
      let historyUsers = this.userReview.filter( m => {
        return m.user == this.userLogin
      });

      if (historyUsers.length == 0) {
        let user = {
          user: this.userLogin,
          date: new Date().toLocaleDateString('en-GB') 
        }
        this.userReview.push(user)
      }

      let updateReview = {
        userLogin: this.userReview,
				blocks: this.material.reviewObj.blocks,
        duration: this.duration,
        observations: this.material.reviewObj.observations,
        dynamicTags: this.dynamicT,
        arrProdCompany: this.prodCompanyEdit,
        yearProduction: this.material.reviewObj.yearProduction,
        emissionStatus: this.material.reviewObj.emissionStatus,
      }
      HTTP.patch(`materials/update/${this.material.__id}`, [  
        {propName: "originalTitle", value: this.material.originalTitle},
        {propName: "ownTitle", value: this.material.ownTitle},
        {propName: "listTitle", value: this.material.listTitle},
        {propName: "reviewObj", value: updateReview},
        {propName: "reviewStatus", value: this.buttonStatus},
        {propName: "providerName", value: this.material.providerName},
        {propName: "userName", value: this.username},
        {propName: "geminisCode", value: this.material.geminisCode}
      ])
      .then(res => {
        this.submitNewReviewModal = true
      })
      .catch(err => console.log(err));
    },
    viewList () {
      let routePart = this.material.materialType;
      let cannedView = localStorage.getItem('cannedView')
      if(routePart == 'Películas'){
        routePart = 'Largometrajes'
      } else if(routePart == 'Programas Especiales'){
        routePart = 'specials'
      } else if(routePart == 'Especial'){
        routePart = 'specials'
      } else if(routePart == 'Producción Nacional' || routePart[0] == 'Producción Nacional'){
        switch(this.material.typeOfContent) {
          case 'Especial':
            routePart = 'fusionGourmet'
          break;
          case 'Novelas':
            routePart = 'novels'
          break;
          case 'Dibujos':
            routePart = 'cartoons'
          break;
          case 'Series':
            routePart = 'series'
          break;
          case 'Largometrajes':
            routePart = 'largometrajes'
          break;
          case 'Miniseries':
            routePart = 'miniseries'
          break;
          default:
            routePart = 'fusionGourmet'
          break;
        }
      } else{
        routePart = this.material.materialType == 'Fusión Gourmet' ? 'fusionGourmet' : this.material.materialType.toLowerCase();
      }
      let cannedShow;
      if(cannedView == 'true'){
        cannedShow = true;
      } else {
        cannedShow = false;
      }
      this.$router.push({ name: routePart, params: { canned: cannedShow, name: this.material.typeOfContent } });
    },
    back () {
      this.active--
    },
    next () {
      if (this.active++ > 4) this.active = 0;
    },
    isNumber (evt) {
      evt = (evt) ? evt : window.event;
      var charCode = (evt.which) ? evt.which : evt.keyCode;
      if ((charCode > 31 && (charCode < 48 || charCode > 57)) && charCode !== 46) {
        evt.preventDefault();
      } else {
        return true;
      }
    },
    pressedButton (changeStatus) {
      document.getElementById(changeStatus).classList.toggle(changeStatus);

      if (changeStatus === 'approved2') {
        this.approvedStatus = changeStatus
        this.buttonStatus = 'approved2'
        this.liveStatus = ''
        this.transmittedStatus = ''
        this.incompleteStatus = ''
      } else if (changeStatus === 'live') {
        this.liveStatus = changeStatus
        this.buttonStatus = 'live'
        this.transmittedStatus = ''
        this.approvedStatus = ''
        this.incompleteStatus = ''
      } else if (changeStatus === 'transmitted') {
        this.transmittedStatus = changeStatus
        this.buttonStatus = 'transmitted'
        this.approvedStatus = ''
        this.liveStatus = ''
        this.incompleteStatus = ''
      } else if (changeStatus === 'incompleteStyle') {
        this.incompleteStatus = changeStatus
        this.buttonStatus = 'incompleteStyle'
        this.liveStatus = ''
        this.transmittedStatus = ''
        this.approvedStatus = ''
      }
    },
    handleClose(tag, arr) {
      this.newTag = false;
      arr.splice(arr.indexOf(tag), 1);
    },
    showInput() {
      this.inputVisible = true;
      this.$nextTick(_ => {
        this.$refs.saveTagInput.$refs.input.focus();
      });
    },
    handleInputConfirm(value) {
      let inputValue = this.inputValue;
      if(value.length < 4){
        this.newTag = false;
        if (inputValue) {
          value.push(inputValue);
        }
      } else{
        this.newTag = true;
      }
      
      this.inputVisible = false;
      this.inputValue = '';
    },
    addTitles (val) {
      if (this.material.originalTitle) {
        this.material.ownTitle = val ? this.material.originalTitle : "";
        this.material.listTitle = val ? this.material.originalTitle : "";
      }
    },
    nextInput (el){
      document.getElementsByClassName(el)[0].children[0].focus()
    },
    addEl(item, index){
      this[item].map((el, i, arr) => {
        if (i == index) {
          arr.splice(i + 1, 0, {prodCompany: ''})
        }
      })
    },
    removeElement (index, arr) {
      this[arr].splice(index, 1);
    },
  },
  computed: {
    username() {
      let userEmail = localStorage.getItem('userEmail')
      let user = userEmail.split('@')[0]
      return user.toUpperCase()
    }
  }
}
</script>


